| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PlainSequenceLElemDefn Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure PlainSequenceLElemDefn defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | PlainSequenceLElemDefn ()
| Default constructor.
eProsima_user_DllExport | ~PlainSequenceLElemDefn ()
| Default destructor.
eProsima_user_DllExport | PlainSequenceLElemDefn (const PlainSequenceLElemDefn &x)
| Copy constructor.
eProsima_user_DllExport | PlainSequenceLElemDefn (PlainSequenceLElemDefn &&x) noexcept
| Move constructor.
eProsima_user_DllExport PlainSequenceLElemDefn & | operator= (const PlainSequenceLElemDefn &x)
| Copy assignment.
eProsima_user_DllExport PlainSequenceLElemDefn & | operator= (PlainSequenceLElemDefn &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const PlainSequenceLElemDefn &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const PlainSequenceLElemDefn &x) const
| Comparison operator.
eProsima_user_DllExport void | header (const PlainCollectionHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (PlainCollectionHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const PlainCollectionHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport PlainCollectionHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | bound (LBound _bound)
| This function sets a value in member bound.
eProsima_user_DllExport LBound | bound () const
| This function returns the value of member bound.
eProsima_user_DllExport LBound & | bound ()
| This function returns a reference to member bound.
eProsima_user_DllExport void | element_identifier (const eprosima::fastcdr::external< TypeIdentifier > &_element_identifier)
| This function copies the value in member element_identifier.
eProsima_user_DllExport void | element_identifier (eprosima::fastcdr::external< TypeIdentifier > &&_element_identifier)
| This function moves the value in member element_identifier.
eProsima_user_DllExport const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier () const
| This function returns a constant reference to member element_identifier.
eProsima_user_DllExport eprosima::fastcdr::external< TypeIdentifier > & | element_identifier ()
| This function returns a reference to member element_identifier.

## Detailed Description

This class represents the structure PlainSequenceLElemDefn defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ PlainSequenceLElemDefn() [1/3]

eProsima_user_DllExport PlainSequenceLElemDefn | ( |  | ) |

inline

Default constructor.

## ◆ ~PlainSequenceLElemDefn()

eProsima_user_DllExport ~PlainSequenceLElemDefn | ( |  | ) |

inline

Default destructor.

## ◆ PlainSequenceLElemDefn() [2/3]

eProsima_user_DllExport PlainSequenceLElemDefn | ( | const PlainSequenceLElemDefn & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object PlainSequenceLElemDefn that will be copied.

## ◆ PlainSequenceLElemDefn() [3/3]

eProsima_user_DllExport PlainSequenceLElemDefn | ( | PlainSequenceLElemDefn && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object PlainSequenceLElemDefn that will be copied.

## Member Function Documentation

## ◆ bound() [1/3]

eProsima_user_DllExport LBound & bound | ( |  | ) |

inline

This function returns a reference to member bound.

Returns
  Reference to member bound

## ◆ bound() [2/3]

eProsima_user_DllExport LBound bound | ( |  | ) | const

inline

This function returns the value of member bound.

Returns
  Value of member bound

## ◆ bound() [3/3]

eProsima_user_DllExport void bound | ( | LBound | _bound | ) |

inline

This function sets a value in member bound.

Parameters

  _bound | New value for member bound

## ◆ element_identifier() [1/4]

eProsima_user_DllExport eprosima::fastcdr::external< TypeIdentifier > & element_identifier | ( |  | ) |

inline

This function returns a reference to member element_identifier.

Returns
  Reference to member element_identifier

## ◆ element_identifier() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::external< TypeIdentifier > & element_identifier | ( |  | ) | const

inline

This function returns a constant reference to member element_identifier.

Returns
  Constant reference to member element_identifier

## ◆ element_identifier() [3/4]

eProsima_user_DllExport void element_identifier | ( | const eprosima::fastcdr::external< TypeIdentifier > & | _element_identifier | ) |

inline

This function copies the value in member element_identifier.

Parameters

  _element_identifier | New value to be copied in member element_identifier

## ◆ element_identifier() [4/4]

eProsima_user_DllExport void element_identifier | ( | eprosima::fastcdr::external< TypeIdentifier > && | _element_identifier | ) |

inline

This function moves the value in member element_identifier.

Parameters

  _element_identifier | New value to be moved in member element_identifier

## ◆ header() [1/4]

eProsima_user_DllExport PlainCollectionHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const PlainCollectionHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const PlainCollectionHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | PlainCollectionHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const PlainSequenceLElemDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | PlainSequenceLElemDefn object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport PlainSequenceLElemDefn & operator= | ( | const PlainSequenceLElemDefn & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object PlainSequenceLElemDefn that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport PlainSequenceLElemDefn & operator= | ( | PlainSequenceLElemDefn && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object PlainSequenceLElemDefn that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const PlainSequenceLElemDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | PlainSequenceLElemDefn object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp